# 13. Мутация: создать "Farm"

Создайте «Ферму».

{% hint style="info" %}
Можно связать уникальный идентификатор вашей собственной «Фермы» через `externalKey` атрибут. Атрибут является необязательным.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутация CreateFarmSample {
  createFarm(input:{
    name: "Mutation Farm"
    externalKey: "<third_party_indentificator>"
  } ) {
    uuid
    userUuid
    название
    farmOwnership
    externalKey
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/13.-mutaciya-sozdat-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
